using System;

namespace IOWarrior
{
	/// <summary>
	/// Summary description for IREventArgs.
	/// </summary>
	public class IREventArgs : EventArgs
	{
		public int keyPressed;
		public int remoteControlID;
		public bool toggleBit;

		public IREventArgs( byte keyPressed, byte remoteControlID, byte toggleBit )
		{
			this.keyPressed = (int)keyPressed ;
			this.remoteControlID = (int)remoteControlID;
			this.toggleBit = toggleBit != 0 ? true : false;
		}

	}
}
