using System;
using System.Runtime.InteropServices; 

namespace IOWarrior
{
	/// <summary>
	/// Library Functions from original iowkit.dll (should be in the Windows/System32 Directory)
	/// This class is not supposed to be used directly (but you can - if you want)
	/// </summary>
	public class IOWLib
	{
		[DllImport("iowkit", SetLastError=true)] 
		public static extern int IowKitOpenDevice();
		
		[DllImport("iowkit", SetLastError=true)] 
		public static extern void IowKitCloseDevice(int iowHandle);
		
		[DllImport("iowkit", SetLastError=true)] 
		public static extern int IowKitWrite(int iowHandle, int numPipe, ref byte buffer, int length);
		
		[DllImport("iowkit", SetLastError=true)] 
		public static extern int IowKitRead(int iowHandle, int numPipe, ref byte buffer, int length);

		[DllImport("iowkit", SetLastError=true)] 
		public static extern int IowKitGetNumDevs();

		[DllImport("iowkit", SetLastError=true)] 
		public static extern int IowKitGetDeviceHandle(int numDevice);

		[DllImport("iowkit", SetLastError=true)] 
		public static extern short IowKitGetProductId(int iowHandle);

		[DllImport("iowkit", SetLastError=true)] 
		public static extern bool IowKitGetSerialNumber(int iowHandle, ref short serialNumber);

		[DllImport("iowkit", SetLastError=true)] 
		public static extern bool IowKitSetTimeout(int iowHandle, int timeout);

		[DllImport("iowkit", SetLastError=true)] 
		public static extern int IowKitCancelIo(int iowHandle, int numPipe);

	}
}
